%define upstream_name phpMyAdmin
%global __requires_exclude_from %{_datadir}/phpmyadmin/libraries/plugins/transformations/TEMPLATE.*

Summary:	Handles the administration of MySQL over the web
Name:		phpmyadmin
Version:	4.4.15.9
Release:	%mkrel 1
License:	GPLv2
Group:		System/Servers
URL:		http://www.phpmyadmin.net/
Source0:	https://files.phpmyadmin.net/%{upstream_name}/%{version}/%{upstream_name}-%{version}-all-languages.tar.xz
Source1:	phpmyadmin-16x16.png
Source2:	phpmyadmin-32x32.png
Source3:	phpmyadmin-48x48.png
Source4:	phpmyadmin.conf
Source5:	phpmyadmin.desktop
Patch0:		phpMyAdmin-4.2.3-default_config.diff
Patch1:		phpMyAdmin-4.2.13-external_phpseclib.diff
Requires:	apache-mod_php
Requires:	php-mysqli
Requires:	php-mbstring
Requires:	php-mcrypt
BuildArch:	noarch
Obsoletes:	phpMyAdmin
# used by setup
Recommends:	php-bz2 php-zip
# parts of phpseclib is bundled in libraries/phpseclib/Crypt, but is incomplete
# http://sourceforge.net/projects/phpseclib/
Requires:	phpseclib

%description
phpMyAdmin is intended to handle the administration of MySQL over the web.
Currently it can : create and drop databases, create, copy, drop and alter
tables, delete, edit and add fields, execute any SQL-statement, even
batch-queries, manage keys on fields, load text files into tables, create and
read dumps of tables, export data to CSV value, administer multiple servers
and single databases.

%prep
%setup -q -n %{upstream_name}-%{version}-all-languages
%patch0 -p0
%patch1 -p0

# Setup vendor config file
sed -e "/'CHANGELOG_FILE'/s@./ChangeLog@%{_datadir}/doc/%{name}/ChangeLog@" \
    -e "/'LICENSE_FILE'/s@./LICENSE@%{_datadir}/doc/%{name}/LICENSE@" \
    -e "/'CONFIG_DIR'/s@'./'@'%{_sysconfdir}/%{name}/'@" \
    -e "/'SETUP_CONFIG_FILE'/s@./config/config.inc.php@%{_localstatedir}/lib/%{name}/config/config.inc.php@" \
    -i libraries/vendor_config.php

%build

%install
export DONT_RELINK=1

install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}%{_datadir}/%{name}

cp -aRf * %{buildroot}%{_datadir}/%{name}/

# cleanup
pushd %{buildroot}%{_datadir}/%{name}
    rm -f CREDITS ChangeLog Documentation.txt INSTALL LICENSE README 
    rm -f README.VENDOR RELEASE-DATE-* TODO
    rm -rf scripts
    rm -rf contrib
    rm -rf doc
    rm -f lang/*.sh libraries/transformations/*.sh
    rm -rf libraries/phpseclib
    rm -rf phpunit.xml.nocoverage
    rm -rf test
    # nuke the patch backup, if any
    rm -f config.sample.inc.php.*
    find -name "\.htaccess" | xargs rm -f
popd

# fix docs
install -d %{buildroot}%{_datadir}/%{name}/doc/html/_static
install -m0644 doc/html/*.html doc/html/*.js %{buildroot}%{_datadir}/%{name}/doc/html/
install -m0644 doc/html/_static/* %{buildroot}%{_datadir}/%{name}/doc/html/_static/

# fix config file location
# keep the "config.inc.php" file name as this is hard coded everywhere.
mv %{buildroot}%{_datadir}/%{name}/config.sample.inc.php \
    %{buildroot}%{_sysconfdir}/%{name}/config.inc.php

chmod 640 %{buildroot}%{_sysconfdir}/%{name}/config.inc.php

install -d %{buildroot}%{_localstatedir}/lib/%{name}/{upload,save,config}

cat > README.urpmi << EOF
The actual configuration file is /etc/phpmyadmin/config.inc.php
The %{_datadir}/%{name}/config.default.inc.php file contains default
values, and is not supposed to be modified.
EOF

# new Icons
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_liconsdir}

install -m0644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
install -m0644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png

# install menu entry.
# XDG menu
install -d %{buildroot}%{_datadir}/applications
install -m0644 %{SOURCE5} %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop

install -d -m 755 %{buildroot}%{_webappconfdir}
install -m0644 %{SOURCE4} %{buildroot}%{_webappconfdir}/%{name}.conf

# fix borked permissions
find %{buildroot}%{_datadir}/%{name} -type d -exec chmod 755 {} \;
find %{buildroot}%{_datadir}/%{name} -type f -exec chmod 644 {} \;

%pretrans
# fix configuration file name change
if [ -f %{_sysconfdir}/phpmyadmin/config.default.php ]; then
    mv %{_sysconfdir}/phpmyadmin/config.default.php \
        %{_sysconfdir}/phpmyadmin/config.php
fi
# use the default file name
if [ -f %{_sysconfdir}/phpmyadmin/config.php ]; then
    mv %{_sysconfdir}/phpmyadmin/config.php \
        %{_sysconfdir}/phpmyadmin/config.inc.php
fi
if [ -L /var/www/phpmyadmin/libraries/config.default.php ]; then
    rm -f /var/www/phpmyadmin/libraries/config.default.php
fi
if [ -L %{_datadir}/phpmyadmin/libraries/config.default.php ]; then
    rm -f %{_datadir}/phpmyadmin/libraries/config.default.php
fi

%post
# generate random secret
secret=%_get_password 46

# blowfish secret
perl -pi \
    -e "s|\\\$cfg\\['blowfish_secret'\\] = ''|\\\$cfg\\['blowfish_secret'\\] = '$secret'|" \
    %{_sysconfdir}/%{name}/config.inc.php

%files
%doc ChangeLog LICENSE README RELEASE-DATE-* README.urpmi
%config(noreplace) %{webappconfdir}/%{name}.conf
%dir %{_sysconfdir}/%{name}
%attr(-,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/config.inc.php
%{_datadir}/%{name}
%dir %{_localstatedir}/lib/%{name}/
%dir %attr(0755,apache,apache) %{_localstatedir}/lib/%{name}/upload
%dir %attr(0755,apache,apache) %{_localstatedir}/lib/%{name}/save
%dir %attr(0755,apache,apache) %{_localstatedir}/lib/%{name}/config
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*.desktop


%changelog
* Fri Nov 25 2016 luigiwalser <luigiwalser> 4.4.15.9-1.mga5
+ Revision: 1070145
- 4.4.15.9
- 4.4.15.8 (fixes too many CVEs to list)
- 4.4.15.7
- 4.4.15.6
- do not package test directory
- filter autogenerated pear requires
- 4.4.15.5
- 4.4.15.4
- 4.4.15.3 (fixes several security issues)
- remove CVE patches fixed upstream in 4.4.x
- update patch0
- update source URL
- add upstream patch to fix CVE-2015-8669
- add upstream patch to fix CVE-2015-7873
- update CVE-2015-6830 to fix regressions from upstream
- rediff and actually apply patch 1
- add upstream patch to fix CVE-2015-6830
- move desktop file contents out of spec to external source file

* Thu May 14 2015 luigiwalser <luigiwalser> 4.2.13.3-1.mga5
+ Revision: 822084
- 4.2.13.3

* Thu Mar 05 2015 luigiwalser <luigiwalser> 4.2.13.2-1.mga5
+ Revision: 817844
- 4.2.13.2 (fixes CVE-2015-2206)

* Wed Dec 03 2014 luigiwalser <luigiwalser> 4.2.13.1-1.mga5
+ Revision: 800516
- 4.2.13.1 (fixes CVE-2014-9218 and CVE-2014-9219)

* Sun Nov 30 2014 luigiwalser <luigiwalser> 4.2.13-1.mga5
+ Revision: 800076
- 4.2.13

* Fri Nov 21 2014 luigiwalser <luigiwalser> 4.2.12-1.mga5
+ Revision: 798084
- 4.2.12 (fixes CVE-2014-895[89] and CVE-2014-896[01])

* Tue Oct 21 2014 luigiwalser <luigiwalser> 4.2.10.1-1.mga5
+ Revision: 792389
- 4.2.10.1 (fixes CVE-2014-8326)

* Wed Oct 15 2014 umeabot <umeabot> 4.2.9.1-4.mga5
+ Revision: 744766
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 pterjan <pterjan> 4.2.9.1-3.mga5
+ Revision: 736844
- Exclude broken requires from template files

* Wed Oct 01 2014 tv <tv> 4.2.9.1-2.mga5
+ Revision: 734027
- rebuild for pear deps

* Wed Oct 01 2014 luigiwalser <luigiwalser> 4.2.9.1-1.mga5
+ Revision: 733837
- 4.2.9.1 (fixes CVE-2014-7217)

* Tue Sep 16 2014 umeabot <umeabot> 4.2.8.1-2.mga5
+ Revision: 687568
- Mageia 5 Mass Rebuild

  + luigiwalser <luigiwalser>
    - 4.2.8.1

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Sep 01 2014 luigiwalser <luigiwalser> 4.2.8-1.mga5
+ Revision: 670774
- 4.2.8

* Mon Aug 18 2014 luigiwalser <luigiwalser> 4.2.7.1-1.mga5
+ Revision: 665250
- 4.2.7.1 (fixes CVE-2014-5273 and CVE-2014-5274)

* Fri Jul 18 2014 luigiwalser <luigiwalser> 4.2.6-1.mga5
+ Revision: 653664
- 4.2.6 (fixes CVE-2014-495[45] and CVE-2014-498[67])

* Mon Jun 23 2014 luigiwalser <luigiwalser> 4.2.4-1.mga5
+ Revision: 638892
- 4.2.4 (fixes CVE-2014-4348 and CVE-2014-4349)

* Thu Jun 12 2014 oden <oden> 4.2.3-1.mga5
+ Revision: 635778
- 4.2.3

* Mon Feb 24 2014 luigiwalser <luigiwalser> 4.1.8-1.mga5
+ Revision: 596576
- 4.1.8

* Thu Feb 20 2014 oden <oden> 4.1.7-1.mga5
+ Revision: 595085
- 4.1.7 (fixes CVE-2014-1879)

* Mon Oct 21 2013 umeabot <umeabot> 4.0.8-2.mga4
+ Revision: 539550
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 oden <oden> 4.0.8-1.mga4
+ Revision: 492405
- 4.0.8

* Tue Sep 24 2013 fwang <fwang> 4.0.7-1.mga4
+ Revision: 484673
- new version 4.0.7

* Fri Sep 06 2013 oden <oden> 4.0.6-1.mga4
+ Revision: 475353
- 4.0.6

* Mon Aug 05 2013 fwang <fwang> 4.0.5-1.mga4
+ Revision: 463691
- new version 4.0.5

* Mon Jul 29 2013 oden <oden> 4.0.4.2-1.mga4
+ Revision: 460217
- 4.0.4.2

* Tue Jul 02 2013 zezinho <zezinho> 4.0.4.1-1.mga4
+ Revision: 449783
- new version

* Thu Jun 06 2013 oden <oden> 4.0.3-1.mga4
+ Revision: 438210
- 4.0.3
- more apache 2.2/2.4 compat stuff

* Sat May 25 2013 zezinho <zezinho> 4.0.2-1.mga4
+ Revision: 427059
- version 4.x.x import work of Oden Eriksson #10021

* Thu Apr 25 2013 zezinho <zezinho> 3.5.8.1-1.mga3
+ Revision: 411139
- security update

* Tue Apr 16 2013 zezinho <zezinho> 3.5.8-1.mga3
+ Revision: 410203
- new security fix version 3.5.8

* Sat Apr 13 2013 guillomovitch <guillomovitch> 3.5.7-3.mga3
+ Revision: 409847
- fix URL used in menu entry (#9664)

* Sun Mar 17 2013 guillomovitch <guillomovitch> 3.5.7-2.mga3
+ Revision: 403548
- no need to enforce mod_ssl usage by default, this is a sysadmin decision

* Wed Mar 13 2013 zezinho <zezinho> 3.5.7-1.mga3
+ Revision: 402343
- new bugfix version

* Thu Jan 31 2013 zezinho <zezinho> 3.5.6-1.mga3
+ Revision: 393825
- new version

* Thu Dec 20 2012 oden <oden> 3.5.5-1.mga3
+ Revision: 333360
- 3.5.5

* Wed Dec 19 2012 oden <oden> 3.5.4-2.mga3
+ Revision: 332803
- bump release
- make it backportable
- force ssl

* Sun Nov 18 2012 fwang <fwang> 3.5.4-1.mga3
+ Revision: 319515
- new version 3.5.4

* Tue Oct 16 2012 tmb <tmb> 3.5.3-3.mga3
+ Revision: 306855
- bump rel to preserve upgrade path from mga2

* Thu Oct 11 2012 zezinho <zezinho> 3.5.3-2.mga3
+ Revision: 304716
- bump release to be higher than in 2

* Wed Oct 10 2012 zezinho <zezinho> 3.5.3-1.mga3
+ Revision: 304499
- new version

  + guillomovitch <guillomovitch>
    - make webapp configuration file compatible with apache 2.4

* Wed Aug 22 2012 zezinho <zezinho> 3.5.2.2-1.mga3
+ Revision: 283048
- new version
- new version

* Thu Jun 21 2012 zezinho <zezinho> 3.5.1-2.mga3
+ Revision: 262522
- require php-mysqli for now, as it is the recommended upstream

* Fri May 11 2012 zezinho <zezinho> 3.5.1-1.mga2
+ Revision: 235361
- new bugfix release

* Thu Apr 12 2012 zezinho <zezinho> 3.5.0-2.mga2
+ Revision: 230515
- new version

* Thu Mar 29 2012 zezinho <zezinho> 3.4.10.2-1.mga2
+ Revision: 227530
- new version

* Tue Feb 21 2012 zezinho <zezinho> 3.4.10.1-1.mga2
+ Revision: 211462
- new version

* Sun Feb 19 2012 zezinho <zezinho> 3.4.10-1.mga2
+ Revision: 211010
- new version

* Tue Jan 03 2012 zezinho <zezinho> 3.4.9-1.mga2
+ Revision: 189887
- new version

* Mon Dec 05 2011 zezinho <zezinho> 3.4.8-1.mga2
+ Revision: 177084
- new version

* Mon Nov 14 2011 zezinho <zezinho> 3.4.7.1-1.mga2
+ Revision: 167617
- a security release

* Mon Nov 07 2011 zezinho <zezinho> 3.4.7-1.mga2
+ Revision: 164970
- new version

* Thu Oct 20 2011 zezinho <zezinho> 3.4.6-1.mga2
+ Revision: 156863
- new version

* Fri Sep 16 2011 fwang <fwang> 3.4.5-1.mga2
+ Revision: 144152
- new version 3.4.5
- new version 3.4.4

* Sun Jul 03 2011 fwang <fwang> 3.4.3.1-1.mga2
+ Revision: 117607
- new version 3.4.3.1

* Tue Apr 26 2011 wally <wally> 3.3.10-2.mga1
+ Revision: 91807
- fix desktop file name (mga#954)

* Mon Apr 11 2011 dams <dams> 3.3.10-1.mga1
+ Revision: 83210
- update to 3.3.10

* Tue Mar 15 2011 ennael <ennael> 3.3.9.2-2.mga1
+ Revision: 71888
- clean spec file
- imported package phpmyadmin


* Sun Feb 20 2011 Oden Eriksson <oeriksson@mandriva.com> 3.3.9.2-2mdv2011.0
+ Revision: 638855
- added backporting magic
- cleanups
- drop the themes, old cruft
- provide the formatted icons
- relocate from /var/www to /usr/share

* Mon Feb 14 2011 Oden Eriksson <oeriksson@mandriva.com> 3.3.9.2-1
+ Revision: 637688
- 3.3.9.2

* Wed Feb 09 2011 Funda Wang <fwang@mandriva.org> 3.3.9.1-1
+ Revision: 636955
- update to new version 3.3.9.1

* Tue Jan 04 2011 Funda Wang <fwang@mandriva.org> 3.3.9-1mdv2011.0
+ Revision: 628503
- update to new version 3.3.9

* Tue Nov 30 2010 Funda Wang <fwang@mandriva.org> 3.3.8.1-1mdv2011.0
+ Revision: 603246
- update to new version 3.3.8.1

* Tue Nov 23 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3.8-2mdv2011.0
+ Revision: 600170
- make it actually work, duh!

* Tue Oct 26 2010 Funda Wang <fwang@mandriva.org> 3.3.8-1mdv2011.0
+ Revision: 589408
- update to new version 3.3.8

* Wed Sep 08 2010 Funda Wang <fwang@mandriva.org> 3.3.7-1mdv2011.0
+ Revision: 576722
- update to new version 3.3.7

* Sun Aug 29 2010 Funda Wang <fwang@mandriva.org> 3.3.6-1mdv2011.0
+ Revision: 574036
- update to new version 3.3.6

* Fri Aug 20 2010 Funda Wang <fwang@mandriva.org> 3.3.5.1-1mdv2011.0
+ Revision: 571511
- update to new version 3.3.5.1

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 3.3.5-1mdv2011.0
+ Revision: 560899
- update to new version 3.3.5

* Wed Jul 14 2010 Juan Luis Baptiste <juancho@mandriva.org> 3.3.4-1mdv2011.0
+ Revision: 553338
- Updated to 3.3.4.

* Wed Jun 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.3.3-3mdv2011.0
+ Revision: 547338
- revert last commit, such changes should be discussed with the maintainer first
  and should never happen so late in the release cycle

* Wed Jun 09 2010 Raphaël Gertz <rapsys@mandriva.org> 3.3.3-3mdv2010.1
+ Revision: 547298
- Replace ccp noorphans by alloworphans

* Wed Jun 09 2010 Raphaël Gertz <rapsys@mandriva.org> 3.3.3-2mdv2010.1
+ Revision: 547297
- Inscrease release
- Add merge of config file for smooth upgrade

  + Juan Luis Baptiste <juancho@mandriva.org>
    - Updated to 3.3.3."
    - Updated themes: aqua, artic and paradise and added crimson_gray, hillslide and smooth_yellow.

* Tue May 25 2010 Juan Luis Baptiste <juancho@mandriva.org> 3.3.2-2mdv2010.1
+ Revision: 545836
- Added patch to fix bug 59446: phpmyadmin shows utf8_bin fields in hex format.
- Fixed bug #58925, 600 permissions of theme directory.

* Mon Apr 19 2010 Funda Wang <fwang@mandriva.org> 3.3.2-1mdv2010.1
+ Revision: 536687
- update to new version 3.3.2

* Tue Mar 16 2010 Funda Wang <fwang@mandriva.org> 3.3.1-1mdv2010.1
+ Revision: 522548
- update to new version 3.3.1

* Mon Mar 08 2010 Funda Wang <fwang@mandriva.org> 3.3.0-1mdv2010.1
+ Revision: 515959
- update to new version 3.3.0

* Sun Feb 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.5-5mdv2010.1
+ Revision: 501777
- oops, fix typo in apache configuration
- switch default access policy to 'open to localhost only', as it allows to modify server state

* Sun Feb 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.5-3mdv2010.1
+ Revision: 501772
- simplify apache configuration, as php4 is dead

* Sun Feb 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.5-2mdv2010.1
+ Revision: 501756
- rely on filetrigger for reloading apache configuration begining with 2010.1, rpm-helper macros otherwise

* Mon Jan 11 2010 Funda Wang <fwang@mandriva.org> 3.2.5-1mdv2010.1
+ Revision: 489621
- new version 3.2.5

  + Buchan Milne <bgmilne@mandriva.org>
    - Suggest php-bz2 and apache-mod_ssl (bug #56870)

* Thu Dec 03 2009 Funda Wang <fwang@mandriva.org> 3.2.4-1mdv2010.1
+ Revision: 472781
- new version 3.2.4

* Fri Nov 06 2009 Frederik Himpe <fhimpe@mandriva.org> 3.2.3-1mdv2010.1
+ Revision: 461952
- update to new version 3.2.3

* Tue Oct 13 2009 Oden Eriksson <oeriksson@mandriva.com> 3.2.2.1-1mdv2010.0
+ Revision: 457007
- 3.2.2.1 (This is a security release, fixing some XSS and SQL injection problems.)

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 3.2.2-1mdv2010.0
+ Revision: 438699
- update to new version 3.2.2

* Mon Aug 10 2009 Frederik Himpe <fhimpe@mandriva.org> 3.2.1-1mdv2010.0
+ Revision: 414366
- update to new version 3.2.1

* Tue Jun 30 2009 Frederik Himpe <fhimpe@mandriva.org> 3.2.0.1-1mdv2010.0
+ Revision: 391088
- update to new version 3.2.0.1

* Mon Jun 15 2009 Frederik Himpe <fhimpe@mandriva.org> 3.2.0-1mdv2010.0
+ Revision: 386104
- update to new version 3.2.0

* Fri May 15 2009 Frederik Himpe <fhimpe@mandriva.org> 3.1.5-1mdv2010.0
+ Revision: 376271
- update to new version 3.1.5

* Sat May 02 2009 Frederik Himpe <fhimpe@mandriva.org> 3.1.4-1mdv2010.0
+ Revision: 370738
- update to new version 3.1.4

* Wed Apr 15 2009 Oden Eriksson <oeriksson@mandriva.com> 3.1.3.2-1mdv2009.1
+ Revision: 367358
- 3.1.3.2 (security fixes)

* Wed Mar 25 2009 Frederik Himpe <fhimpe@mandriva.org> 3.1.3.1-1mdv2009.1
+ Revision: 361175
- update to new version 3.1.3.1

* Thu Mar 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.1.3-2mdv2009.1
+ Revision: 349001
- handle upgrade nicely
- fix config file substitution after install
- cleanup: apache only need read access on configuration file, not write
- no need for a patch to substitute a config file
- use standard rpm-helper macros to generate blowfish secret
- don't move the default configuration file, it is not supposed to be modified, but move the actuel configuration file instead
- more docroot cleanup
- don't duplicate spec-help job

* Tue Mar 03 2009 Oden Eriksson <oeriksson@mandriva.com> 3.1.3-1mdv2009.1
+ Revision: 348169
- 3.1.3

* Tue Jan 20 2009 Funda Wang <fwang@mandriva.org> 3.1.2-1mdv2009.1
+ Revision: 331514
- rediff css patch
- 3.1.2

* Wed Dec 10 2008 Funda Wang <fwang@mandriva.org> 3.1.1-1mdv2009.1
+ Revision: 312383
- update to new version 3.1.1

* Sat Nov 29 2008 Funda Wang <fwang@mandriva.org> 3.1.0-1mdv2009.1
+ Revision: 307960
- 3.1.0 final

* Wed Nov 19 2008 Funda Wang <fwang@mandriva.org> 3.1.0-0.rc1.1mdv2009.1
+ Revision: 304372
- New version 3.1.0 rc1
- rediff cookie patch

* Fri Oct 31 2008 Frederik Himpe <fhimpe@mandriva.org> 3.0.1.1-1mdv2009.1
+ Revision: 299008
- update to new version 3.0.1.1

* Fri Oct 24 2008 Funda Wang <fwang@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 296907
- new version 3.0.1 final

* Sun Oct 19 2008 Funda Wang <fwang@mandriva.org> 3.0.1-0.rc1.1mdv2009.1
+ Revision: 295281
- 3.0.1 rc1

* Sun Sep 28 2008 Funda Wang <fwang@mandriva.org> 3.0.0-1mdv2009.0
+ Revision: 288968
- New version 3.0.0 final

* Tue Sep 16 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.rc2.1mdv2009.0
+ Revision: 285104
- 3.0 rc2

* Sat Sep 13 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0.0-0.rc1.2mdv2009.0
+ Revision: 284499
- fix #35792 (Wrong config file location mentioned in urpmi readme file)

* Mon Sep 08 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.rc1.1mdv2009.0
+ Revision: 282440
- 3.0.0 rc1

* Sat Aug 23 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.beta.1mdv2009.0
+ Revision: 275351
- New version 3.0.0 beta

* Tue Jul 29 2008 Funda Wang <fwang@mandriva.org> 2.11.8.1-1mdv2009.0
+ Revision: 252408
- New version 2.11.8.1
- clearify the license

* Mon Jul 28 2008 Oden Eriksson <oeriksson@mandriva.com> 2.11.8-1mdv2009.0
+ Revision: 251707
- 2.11.8

* Wed Jul 16 2008 Funda Wang <fwang@mandriva.org> 2.11.7.1-1mdv2009.0
+ Revision: 236237
- update to new version 2.11.7.1

* Tue Jun 24 2008 Funda Wang <fwang@mandriva.org> 2.11.7-1mdv2009.0
+ Revision: 228492
- New version 2.11.7 final

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jun 11 2008 Funda Wang <fwang@mandriva.org> 2.11.7-0.rc1.1mdv2009.0
+ Revision: 217837
- New version 2.11.7 rc1

* Wed Apr 30 2008 Funda Wang <fwang@mandriva.org> 2.11.6-1mdv2009.0
+ Revision: 199365
- update to new version 2.11.6

* Fri Apr 25 2008 Funda Wang <fwang@mandriva.org> 2.11.5.2-1mdv2009.0
+ Revision: 197369
- update to new version 2.11.5.2

* Wed Apr 16 2008 Funda Wang <fwang@mandriva.org> 2.11.5.1-1mdv2009.0
+ Revision: 194528
- update to new version 2.11.5.1

* Sun Mar 02 2008 Funda Wang <fwang@mandriva.org> 2.11.5-1mdv2008.1
+ Revision: 177599
- update to new version 2.11.5

* Sat Jan 12 2008 Funda Wang <fwang@mandriva.org> 2.11.4-1mdv2008.1
+ Revision: 149733
- update to new version 2.11.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 09 2007 Funda Wang <fwang@mandriva.org> 2.11.3-1mdv2008.1
+ Revision: 116630
- update to new version 2.11.3

* Wed Nov 21 2007 Oden Eriksson <oeriksson@mandriva.com> 2.11.2.2-1mdv2008.1
+ Revision: 110949
- 2.11.2.2 (Minor security fixes)

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 2.11.2.1-1mdv2008.1
+ Revision: 107531
- 2.11.2.1

* Sat Oct 27 2007 Funda Wang <fwang@mandriva.org> 2.11.2-1mdv2008.1
+ Revision: 102583
- update to new version 2.11.2

* Thu Oct 18 2007 Oden Eriksson <oeriksson@mandriva.com> 2.11.1.2-1mdv2008.1
+ Revision: 99939
- 2.11.1.2 fixes the following issues: CVE-2007-0095, CVE-2007-0203, CVE-2007-0204,
  CVE-2007-1325, CVE-2007-1395, CVE-2007-2245, CVE-2007-4306, CVE-2007-5386

* Tue Oct 16 2007 Oden Eriksson <oeriksson@mandriva.com> 2.11.1.1-1mdv2008.1
+ Revision: 99007
- 2.11.1.1 (Minor security fixes)

* Thu Oct 11 2007 Oden Eriksson <oeriksson@mandriva.com> 2.11.1-1mdv2008.1
+ Revision: 97001
- 2.11.1

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix Exec command
      Remove old menu entry

* Wed Aug 22 2007 Funda Wang <fwang@mandriva.org> 2.11.0-1mdv2008.0
+ Revision: 68871
- New version 2.11.0
- Rediff patch0 (config)

* Fri Jul 20 2007 Funda Wang <fwang@mandriva.org> 2.10.3-1mdv2008.0
+ Revision: 53916
- New version

* Sat Jun 16 2007 Oden Eriksson <oeriksson@mandriva.com> 2.10.2-1mdv2008.0
+ Revision: 40253
- 2.10.2

* Tue Apr 24 2007 David Walluck <walluck@mandriva.org> 2.10.1-1mdv2008.0
+ Revision: 17770
- 2.10.1

* Mon Apr 23 2007 Oden Eriksson <oeriksson@mandriva.com> 2.10.0.2-3mdv2008.0
+ Revision: 17325
- remove the desktop-file-utils deps


* Fri Mar 09 2007 Jérôme Soyer <saispo@mandriva.org> 2.10.0.2-2mdv2007.1
+ Revision: 140267
- Add Obsoletes and Conflicts

  + Anssi Hannula <anssi@mandriva.org>
    - fix typo in summary

* Sat Mar 03 2007 David Walluck <walluck@mandriva.org> 2.10.0.2-1mdv2007.1
+ Revision: 131733
- 2.10.0.2
  rediff cookie patch
  fix summary and longtitle grammar

  + Jérôme Soyer <saispo@mandriva.org>
    - Lowercase
    - Lowercase

* Sun Feb 18 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.9.2-3mdv2007.1
+ Revision: 122574
- Fix typo found by berthy

* Sun Feb 18 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.9.2-2mdv2007.1
+ Revision: 122570
- Fix typo found by berthy

* Wed Jan 17 2007 Oden Eriksson <oeriksson@mandriva.com> 2.9.2-1mdv2007.1
+ Revision: 109858
- rediffed P0
- 2.9.2 (security fixes)
- make it backportable
- ccp is not used anymore, so don't mention it in README.urpmi

* Sun Dec 10 2006 Oden Eriksson <oeriksson@mandriva.com> 2.9.1.1-2mdv2007.1
+ Revision: 94448
- don't use ccp for this package (http://savannah.nongnu.org/bugs/?16373)

* Mon Nov 20 2006 David Walluck <walluck@mandriva.org> 2.9.1.1-1mdv2007.1
+ Revision: 85673
- 2.9.1.1

* Thu Nov 09 2006 David Walluck <walluck@mandriva.org> 2.9.1-1mdv2007.0
+ Revision: 79881
- 2.9.1

* Thu Nov 02 2006 David Walluck <walluck@mandriva.org> 2.9.0.3-1mdv2007.1
+ Revision: 75100
- Requires(post,postun): rpm-helper
- 2.9.0.3

  + Oden Eriksson <oeriksson@mandriva.com>
    - bzip2 cleanup
    - 2.9.0.2
    - rediffed the bug22020 patch
    - Import phpMyAdmin

